## PhodavServer

PhodavServer — A WebDAV server

## Stability Level

Stable, unless otherwise indicated

## Functions

PhodavServer * | phodav_server_new ()
PhodavServer * | phodav_server_new_for_root_file ()
SoupServer * | phodav_server_get_soup_server ()

## Properties

gboolean | read-only | Read / Write
char * | root | Read / Write / Construct
GFile * | root-file | Read / Write / Construct
SoupServer * | server | Read

## Object Hierarchy

        GObject
        ╰── PhodavServer

## Includes

    #include <libphodav/phodav.h>

## Description

PhodavServer implements a simple WebDAV server.

## Functions

### phodav_server_new ()

    PhodavServer *
    phodav_server_new (const gchar *root);

Creates a new PhodavServer. This is equivalent to constructing a GFile from `root` and using `phodav_server_new_for_root_file()`.

#### Parameters

root | Root path. | [allow-none]

#### Returns

a new PhodavServer

### phodav_server_new_for_root_file ()

    PhodavServer *
    phodav_server_new_for_root_file (GFile *root);

Creates a new PhodavServer and publishes the files under `root` .

#### Parameters

root | a GFile specifying the root. | [nullable]

#### Returns

a new PhodavServer.

[transfer full]

Since: 2.5

### phodav_server_get_soup_server ()

    SoupServer *
    phodav_server_get_soup_server (PhodavServer *server);

Returns the underlying `SoupServer`, if any.

#### Parameters

server | a `PhodavServer` |

#### Returns

the associated `SoupServer` or `NULL`

## Property Details

### The `“read-only”` property

      “read-only”                gboolean

Read-only access.

Owner: PhodavServer

Flags: Read / Write

Default value: FALSE

### The `“root”` property

      “root”                     char *

This property is interconnected with the property “root-file”. Changing “root” affects “root-file” and vice versa.

You can use either of them or none to construct a new PhodavServer, you should not use both.

Owner: PhodavServer

Flags: Read / Write / Construct

Default value: NULL

### The `“root-file”` property

      “root-file”                GFile *

A more generic version of “root”, see it for more details.

Owner: PhodavServer

Flags: Read / Write / Construct

Since: 2.5

### The `“server”` property

      “server”                   SoupServer *

Soup Server.

Owner: PhodavServer

Flags: Read

## See Also

SoupServer